Subject: Re: iptables breakage WAS(Re: dummy as IMQ replacement

From: Patrick McHardy <[email-masked]>
Date: Fri, 25 Mar 2005 20:01:18 +0100

jamal wrote:
> On Fri, 2005-03-25 at 12:27, Patrick McHardy wrote:
> 
>>What does ps -eo args,wchan show?
>
> It shows tc stuck on wait_for_packet; 
> 
> user space is stuck in recvmsg(). It seems to be waiting for an
> NLMSG_DONE to complete the transaction - but that never comes.
> 
> One thing i've verified so far is it has nothing to do with the module
> replay code. I am also doubting it has naything to do with locks in
> the kernel. Its also a possibility that something changed in the
> iproute2 causing this stuck waiting for NLMSG_DONE.

Could it be that it is simply not making any forward progress?
tcf_dump_walker() doesn't save the number of skipped entries, but
the last order dumped, so it could dump the same entries again
and again when they exceed the room in the skb.

Regards
Patrick